import { Job, ListJobsResponse } from "./types";
export declare class Jobs {
    private readonly projectName;
    private readonly serviceAccount;
    constructor(projectName: string, serviceAccount: string);
    isJobRunning(jobId: string): Promise<boolean>;
    runJob(jobId: string): Promise<boolean>;
    listJobs(): Promise<ListJobsResponse>;
    getJob(jobId: string): Promise<Job>;
}
